import xlsxwriter
import os
 
b_image=  ['1000110', '1010100', '1011000', '1010010', '1001110', '1001001', '1100000', '1010010', '1100101', '1111111', '1110110', '1000010', '1000000', '1000100', '1100001', '1100010', '1011101', '1101011',
         '1100100', '1111110', '1100100', '1000010', '1011110', '1101111', '1110110', '1011100', '1010111', '1001000', '1011001', '1001111', '1011010', '1111001', '1010010', '1100010', '1111111', '1100111']
b_weights=  ['10101111', '00001001', '00100110', '10000001', '10100001', '01001000', '00000110', '10101011', '01111001', '11011101', '10100100', '10100111', '00000111', '00011010', '01000101', '10001110', '01111010', '11101101',
           '00100001', '10100001', '00100111', '10001100', '10110111', '11111001', '10010111', '00100001', '11100011', '00100010', '01111011', '11101110', '10001011', '01000100', '10011000', '10011100', '11110010', '11001101']

image=  [0.09375, 0.3125, 0.375, 0.28125, 0.21875, 0.140625, 0.5, 0.28125, 0.578125, 0.984375, 0.84375, 0.03125, 0.0, 0.0625, 0.515625, 0.53125, 0.453125, 0.671875,
         0.5625, 0.96875, 0.5625, 0.03125, 0.46875, 0.734375, 0.84375, 0.4375, 0.359375, 0.125, 0.390625, 0.234375, 0.40625, 0.890625, 0.28125, 0.53125, 0.984375, 0.609375]
weights=  [-0.734375, 0.0, 0.0, -0.015625, -0.515625, 0.125, 0.0, -0.671875, 0.890625, 0.0, -0.5625, -0.609375, 0.0, 0.0, 0.078125, -0.21875,
          0.90625, 0.0, 0.0, -0.515625, 0.0, -0.1875, -0.859375, 0.0, -0.359375, 0.0, 0.0, 0.0, 0.921875, 0.0, -0.171875, 0.0625, -0.375, -0.4375, 0.0, 0.0]
data = [
    b_image,
    b_weights,
	image,
	weights
	]
 


def insert_data(listdata):
	wb = xlsxwriter.Workbook("Excel1.xlsx")
	ws = wb.add_worksheet()
	row = 0
	col = 0
	for line in listdata:
		for item in line:
			ws.write(row, col, item)
			col += 1
		row += 1
		col = 0
 
	wb.close()
 
insert_data(data)
answer = 0

for i in range(len(image)):
    answer += image[i] * weights[i]

print("answer: ", answer)